<?php
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
     

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 18px;
	
	padding-left:15px;
}

th{
    background: green;
    color:white;
	
}


tr:nth-child(even) {background: #CCC}
tr:nth-child(odd) {background: #FFF}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>
<h3 style="font-size: 25px; text-decoration: underline;">Historial de cliente</h3>
<?php

include_once("../php/formatos.php");
$cliente = $_GET["clientes"];
$moneda = $_GET["moneda"];
$tpesos = 0;
$tdolar = 0;
$tgourde = 0;

echo "<b>Cliente:</b> <font color='blue'>".$cliente."</font>, ";

$sql = mysql_query("select * from ventas where 
                    cliente = '$cliente' and balance>0 and  moneda like '%".$moneda."%'") or die(mysql_error());
echo "<br>Facturas: <br>";
echo "<table><th>Fecha</th><th>Cliente</th><th>Monto</th><th>Pagado</th><th>Balance</th><th>Al cambio</th><th>Moneda</th><th>Tasa compra</th><th>Tasa venta</th><th>Impuestos</th><th>Termino</th><th>Estado</th>";
while($r = mysql_fetch_array($sql)){
    $total+=$r["total"];
    $totalVenta+=$r["total"];
    $balance+=$r["balance"];
    $costo+=$r["costo"];
    $impuestos+=$r["impuesto"];
	$c++;
	
	if($r["moneda"]=="PESOS"){
		$tpesos +=$r["balance"];
	}
	
		if($r["moneda"]=="GOURDE"){
		$tgourde +=$r["balance"];
        
	}
	
		if($r["moneda"]=="DOLAR"){
		$tdolar +=$r["balance"];
	}
	
	
	
    echo "<tr>";


    echo "<td>".fecha($r["fecha"])."|".$r["hora"]."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["cliente"]."</td>";
    echo "<td>".decimal($r["total"])."</td>";

    echo "<td>".decimal($r["pagado"])."</td>";
	
    echo "<td style='background:yellow'>".decimal($r["balance"])."</td>";
     
    
      if($r["moneda"]=="GOURDE"){
          echo "<td>".decimal($r["balance"]/$r["tasa_venta"])."</td>";
          $total_pesos+=$r["balance"]/$r["tasa_venta"];
      }

        if($r["moneda"]=="DOLAR"){
          echo "<td>".decimal($r["balance"]*$r["tasa_venta"])."</td>";
           $total_pesos+=$r["balance"]*$r["tasa_venta"];
      }

           if($r["moneda"]=="PESOS"){
          echo "<td>".decimal($r["balance"])."</td>";
           $total_pesos+=$r["balance"];
      }
	  echo "<td>".($r["moneda"])."</td>";
	 echo "<td>".decimal($r["tasa_compra"])."</td>";
	  echo "<td>".decimal($r["tasa_venta"])."</td>";
	  
	 echo "<td>".decimal($r["impuesto"])."</td>";
	 
	echo "<td>".$r["termino"]."</td>";
	echo "<td>".$r["estado"]."</td>";
   
    
    echo "</tr>";
}


  echo "<span style='font-size:18px'>Facturas:".$c."| Balance RD$: ".decimal($tpesos)." | GOURDE: ".decimal($tgourde)." | USD$: ".decimal($tdolar)." | TOTAL BALANCE EQIOVALENTE EN PESOS: <font color='red'>".@decimal($total_pesos)."</font></span>";
 echo "</table>";
 echo "</br>";

echo "<br>";




echo "<hr>";


$sql2 = mysql_query("select * from pagos_credito where 
                    cliente = '$cliente' order by fecha desc") or die(mysql_error());
echo "<br>Ingresos | Abonos: <br>";

echo "<table style='width:100%'><th># Transaccion</th><th>Fecha</th><th>Nota</th><th>Cliente</th><th>Monto</th><th>Moneda</th><th>Tasa</th>><th>GOURDE</th><th>Aplicado por</th>";
while($r2 = mysql_fetch_array($sql2)){
    	if($r2["moneda"]=="PESOS"){
		$tpesos2 +=$r2["monto"];
	}
	
		if($r2["moneda"]=="GOURDE"){
		$tgourde2 +=$r2["monto"];
        
	}
	
		if($r2["moneda"]=="DOLAR"){
		$tdolar2 +=$r2["monto"];
	}
   
    $c2++;
    echo "<tr>";
    echo "<td>".$r2["id"]."</td>";
   
    echo "<td>".fecha($r2["fecha"])."</td>";
    echo "<td>".$r2["nota"]."</td>";
    echo "<td>".$r2["cliente"]."</td>";
    echo "<td>".decimal($r2["monto"])."</td>";
	echo "<td>".($r2["moneda"])."</td>";
	echo "<td>".($r2["tasa_venta"])."</td>";
    echo "<td>".($r2["monto_moneda_origen"])."</td>";
    echo "<td>".($r2["usuario"])."</td>";



    echo "</tr>";
}


///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
  echo "<br><b style='font-size:18'>Cant. ingresos: ".($c2)."</b>|";
   echo "<span style='font-size:18px'>Cobros en RD$: ".decimal($tpesos2)." | GOURDE: ".decimal($tgourde2)." | USD$: ".decimal($tdolar2);

 echo "</table>";
 echo "</br>";

echo "<br>";


 


?>